import glob, os, texture, obj_loader

def load_textures():
    tex={}
    for i in glob.glob(os.path.join('data','objects','*.png')):
        a = os.path.split(i)[1]

        b = texture.Texture(i)
        tex[a]=b
    return tex

def load_objects(tex, swapyz=False, save_bb=False):
    objs={}
    for i in glob.glob(os.path.join('data','objects','*.obj')):
        a = os.path.split(i)[1]
        b=obj_loader.OBJ(i, tex, swapyz, save_bb)
        objs[a]=b
    return objs
